#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int n,q,l,r;
    cin>>n;
    bool b[n];
    int a[n];
    for(int i=0;i<n;i++)
    {
        cin>>a[i];
        b[i]=false;
        if(i>0 && a[i]<a[i-1])
        {
            b[i-1]=true;
        }
    }
    cin>>q;
    for(int i=0;i<q;i++)
    {
        cin>>l>>r;
        if(l>n || r>n)
        {
            cout<<"NE"<<endl;
        }
        else
        {
            int s=0;
            for(int i=l-1;i<r-1;i++)
            {
                if(b[i]) s++;
                if(s==2)
                {
                    cout<<"NE"<<endl;
                    break;
                }
            }
            if(s<2)cout<<"DA"<<endl;
        }
    }
    return 0;
}